## Class Swift_KeyCache_SimpleKeyCacheInputStream

(line 20)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/KeyCache/SimpleKeyCacheInputStream.php

##### Writes data to a KeyCache using a stream.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void bind (Swift_InputByteStream $is)
void commit ()
void flushBuffers ()
void setItemKey (string $itemKey)
void setKeyCache (Swift_KeyCache $keyCache)
void setNsKey (string $nsKey)
void setWriteThroughStream (Swift_InputByteStream $is)
void unbind (Swift_InputByteStream $is)
void write (string $bytes, [Swift_InputByteStream $is = null], Swift_InputByteStream $is,)
void __clone ()

#### Method bind (line 84)

#### void bind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::bind()
  Attach $is to this stream.

##### Not used.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method commit (line 77)

#### void commit( )

Implementation of:

Swift_InputByteStream::commit()
  For any bytes that are currently buffered inside the stream, force them off the buffer.

##### Not used.

#### Info

- access - public

#### Method flushBuffers (line 99)

#### void flushBuffers( )

Implementation of:

Swift_InputByteStream::flushBuffers()
  Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

##### Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Info

- access - public

#### Method setItemKey (line 117)

#### void setItemKey( string $itemKey)

Implementation of:

Swift_KeyCache_KeyCacheInputStream::setItemKey()
  Set the itemKey which will be written to.

##### Set the itemKey which will be written to.

#### Parameters

- string $itemKey:

#### Info

- access - public

#### Method setKeyCache (line 40)

#### void setKeyCache( Swift_KeyCache $keyCache)

Implementation of:

Swift_KeyCache_KeyCacheInputStream::setKeyCache()
  Set the KeyCache to wrap.

##### Set the KeyCache to wrap.

#### Parameters

- Swift_KeyCache $keyCache:

#### Info

- access - public

#### Method setNsKey (line 108)

#### void setNsKey( string $nsKey)

Implementation of:

Swift_KeyCache_KeyCacheInputStream::setNsKey()
  Set the nsKey which will be written to.

##### Set the nsKey which will be written to.

#### Parameters

- string $nsKey:

#### Info

- access - public

#### Method setWriteThroughStream (line 49)

#### void setWriteThroughStream( Swift_InputByteStream $is)

Implementation of:

Swift_KeyCache_KeyCacheInputStream::setWriteThroughStream()
  Specify a stream to write through for each write().

##### Specify a stream to write through for each write().

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method unbind (line 91)

#### void unbind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::unbind()
  Remove an already bound stream.

##### Not used.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method write (line 59)

#### void write( string $bytes, [Swift_InputByteStream $is = null], Swift_InputByteStream $is,)

Implementation of:

Swift_InputByteStream::write()
  Writes $bytes to the end of the stream.

##### Writes $bytes to the end of the stream.

#### Parameters

- string $bytes:
- Swift_InputByteStream $is,: optional
- Swift_InputByteStream $is:

#### Info

- access - public

#### Method __clone (line 126)

#### void __clone( )

Implementation of:

Swift_KeyCache_KeyCacheInputStream::__clone()
  Any implementation should be cloneable, allowing the clone to access a separate $nsKey and $itemKey.

##### Any implementation should be cloneable, allowing the clone to access a separate $nsKey and $itemKey.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:29 +0000 by phpDocumentor 1.4.3